package tech.riemann.ims.converter;

import cn.idev.excel.converters.Converter;
import cn.idev.excel.metadata.GlobalConfiguration;
import cn.idev.excel.metadata.data.WriteCellData;
import cn.idev.excel.metadata.property.ExcelContentProperty;

/**
 * @author mayong
 * @since 2025/3/15 18:23
 */
public class BooleanConverter implements Converter<Boolean> {

    @Override
    public WriteCellData<?> convertToExcelData(Boolean value,
                                               ExcelContentProperty contentProperty,
                                               GlobalConfiguration globalConfiguration) {

        return new WriteCellData<>(Boolean.TRUE.equals(value) ? "是" : "否");
    }
}
