package tech.riemann.ims.dto.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author mayong
 * @since 2025/3/15 10:39
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class ScrapOutApplyDTO {

    @Schema(description = "物料名称")
    private String name;

    @Schema(description = "类型")
    private String type;

    @Schema(description = "类型名称")
    private String typeName;

    @Schema(description = "物料规格")
    private String spec;

    @Schema(description = "单价")
    private String price;

    @Schema(description = "申请人")
    private String applicant;

    @Schema(description = "确认数量")
    private Integer confirmQuantity;

    @Schema(description = "条码集合")
    private String barcodeList;

    @Schema(description = "报废原因")
    private String remark;


}
